Index: c/src/ada-tests/sptests/sp09/sp09.scn
===================================================================
--- c/src/ada-tests/sptests/sp09/sp09.scn	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp09/sp09.scn	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -1,8 +1,7 @@
 *** TEST 9 ***
-INIT - task_create - INVALID_SIZE -- NOT CHECKED
 INIT - task_create - INVALID_PRIORITY
 INIT - task_restart - INCORRECT_STATE
 TA1 - task_delete - INVALID_ID
-TA1 - task_get_note - INVALID_NUMBER -- constraint error
+TA1 - task_get_note - INVALID_NUMBER
 TA1 - task_get_note - INVALID_ID
 TA1 - task_ident - current task SUCCESSFUL
@@ -13,12 +12,12 @@
 TA1 - task_resume - INVALID_ID
 TA1 - task_resume - INCORRECT_STATE
-TA1 - task_set_priority - INVALID_PRIORITY -- constraint error
+TA1 - task_set_priority - INVALID_PRIORITY
 TA1 - task_set_priority - INVALID_ID
-TA1 - task_set_note - INVALID_NUMBER -- constraint error 
+TA1 - task_set_note - INVALID_NUMBER
 TA1 - task_set_note - INVALID_ID
 TA1 - task_start - INVALID_ID
 TA1 - task_start - INCORRECT_STATE
 TA1 - task_suspend - INVALID_ID
-<pause - screen 2>
+<pause - screen   2> 
 TA1 - clock_get - NOT_DEFINED
 TA1 - task_wake_when - NOT_DEFINED
@@ -38,5 +37,5 @@
 TA1 - current time -  8:30:48    2/ 5/1988
 TA1 - task_wake_when -  8:30:48    1/ 5/1988 - INVALID_CLOCK
-<pause - screen 3>
+<pause - screen   3> 
 TA1 - task_create - INVALID_NAME
 TA1 - task_create - stack size - UNSATISFIED
@@ -55,5 +54,5 @@
 TA1 - task_create - 11 - TOO_MANY
 TA1 - task_create - MP_NOT_CONFIGURED
-<pause - screen 4>
+<pause - screen   4> 
 TA1 - event_receive - UNSATISFIED ( all conditions )
 TA1 - event_receive - UNSATISFIED ( any conditions )
@@ -63,5 +62,5 @@
 TA1 - task_wake_after - sleep 1 second - SUCCESSFUL
 TA1 - clock_set -  8:30:45    2/ 5/1988 - SUCCESSFUL
-<pause - screen 5>
+<pause - screen   5> 
 TA1 - semaphore_create - INVALID_NAME
 TA1 - semaphore_create - 1 - SUCCESSFUL
@@ -76,5 +75,5 @@
 TA1 - semaphore_ident - global INVALID_NAME
 TA1 - semaphore_ident - local INVALID_NAME
-<pause - screen 6>
+<pause - screen   6> 
 TA1 - semaphore_obtain - INVALID_ID
 TA1 - semaphore_obtain - got sem 1 - SUCCESSFUL
@@ -94,5 +93,5 @@
 TA2 - task_delete - delete self - SUCCESSFUL
 TA1 - task_delete TA2 - already deleted INVALID_ID
-<pause - screen 7>
+<pause - screen   7> 
 TA1 - message_queue_broadcast - INVALID_ID
 TA1 - message_queue_create - Q 1 - INVALID_NAME
@@ -112,5 +111,5 @@
 TA1 - message_queue_send - BUFFER 2 TO Q 1 - SUCCESSFUL
 TA1 - message_queue_send - BUFFER 3 TO Q 1 - TOO_MANY
-<pause - screen 8>
+<pause - screen   8> 
 TA1 - message_queue_delete - Q 1 - SUCCESSFUL
 TA1 - message_queue_create - Q 1 - 2 DEEP - SUCCESSFUL
@@ -133,9 +132,5 @@
 TA3 - message_queue_receive - woke up with OBJECT_WAS_DELETED
 TA3 - task_delete - delete self - SUCCESSFUL
-<pause - screen 9>
-TA1 - interrupt_catch - INVALID_NUMBER -- constraint error
-TA1 - interrupt_catch - INVALID_ADDRESS
-TA1 - signal_send - INVALID_ID
-TA1 - signal_send - NOT_DEFINED
+<pause - screen   9> 
 TA1 - port_create - INVALID_NAME
 TA1 - port_create - INVALID_ADDRESS
@@ -145,5 +140,5 @@
 TA1 - port_internal_to_external - INVALID_ID
 TA1 - port_external_to_internal - INVALID_ID
-<pause - screen 10>
+<pause - screen  10> 
 TA1 - rate_monotonic_create - INVALID_NAME
 TA1 - rate_monotonic_create - SUCCESSFUL
@@ -167,5 +162,5 @@
 TA1 - rate_monotonic_delete - local INVALID_ID
 TA1 - rate_monotonic_delete - SUCCESSFUL
-<pause - screen 11>
+<pause - screen  11> 
 TA1 - partition_create - INVALID_NAME
 TA1 - partition_create - length - INVALID_SIZE
@@ -188,5 +183,5 @@
 TA1 - partition_return_buffer - INVALID_ADDRESS - out of range
 TA1 - partition_return_buffer - INVALID_ADDRESS - not on boundary
-<pause - screen 12>
+<pause - screen  12> 
 TA1 - region_create - INVALID_NAME
 TA1 - region_create - INVALID_ADDRESS
@@ -207,6 +202,6 @@
 TA1 - region_return_segment - INVALID_ADDRESS
 TA1 - debug_disable - DEBUG_REGION
-TA1 - region_return_segment - INVALID_ADDRESS
-TA1 - region_return_segment - INVALID_ADDRESS
+TA1 - region_return_segment - INVALID_ADDRESS - SKIPPED
+TA1 - region_return_segment - INVALID_ADDRESS - SKIPPED
 TA1 - debug_enable - DEBUG_REGION
 TA1 - region_extend - INVALID_ID
@@ -215,11 +210,5 @@
 TA1 - region_extend - contiguous lower - NOT_IMPLEMENTED
 TA1 - region_extend - non-contiguous higher - NOT_IMPLEMENTED
-<pause - screen 13>
-TA1 - io_close - INVALID_NUMBER
-TA1 - io_control - INVALID_NUMBER
-TA1 - io_initialize - INVALID_NUMBER
-TA1 - io_open - INVALID_NUMBER
-TA1 - io_read - INVALID_NUMBER
-TA1 - io_write - INVALID_NUMBER
+<pause - screen  13> 
 TA1 - clock_set - 23:59:59   12/31/2000 - SUCCESSFUL
 TA1 - clock_get -  0: 0: 0    1/ 1/2001 - SUCCESSFUL
@@ -227,10 +216,10 @@
 TA1 - clock_get -  0: 0: 0    1/ 1/2000 - SUCCESSFUL
 TA1 - clock_set - 23:59:59   12/31/2100 - SUCCESSFUL
-TA1 - clock_get -  0: 0: 0    1/ 1/2101 - SUCCESSFUL
+TA1 - clock_get - 17:31:44   11/25/1964 - SUCCESSFUL
 TA1 - clock_set - 23:59:59   12/31/2099 - SUCCESSFUL
-TA1 - clock_get -  0: 0: 0    1/ 1/2100 - SUCCESSFUL
+TA1 - clock_get - 17:31:44   11/25/1963 - SUCCESSFUL
 TA1 - clock_set - 23:59:59   12/31/1991 - SUCCESSFUL
 TA1 - clock_get -  0: 0: 0    1/ 1/1992 - SUCCESSFUL
-<pause - screen 14>
+<pause - screen  14> 
 TA1 - timer_create - INVALID_NAME
 TA1 - timer_create - 1 - SUCCESSFUL
@@ -245,6 +234,6 @@
 TA1 - timer_fire_when - INVALID_ID
 TA1 - timer_fire_after - INVALID_NUMBER
-TA1 - timer_fire_when -  8:30:45  2/ 5/1987 - INVALID_CLOCK
-TA1 - clock_get       -  0: 0: 0  1/ 1/1992
-TA1 - timer_fire_when -  8:30:45  2/ 5/1990 - before INVALID_CLOCK
+TA1 - timer_fire_when -  8:30:45    2/ 5/1987 - INVALID_CLOCK
+TA1 - clock_get       -  0: 0: 0    1/ 1/1992
+TA1 - timer_fire_when -  8:30:45    2/ 5/1990 - before INVALID_CLOCK
 *** END OF TEST 9 ***
Index: c/src/ada-tests/sptests/sp09/sptest.adb
===================================================================
--- c/src/ada-tests/sptests/sp09/sptest.adb	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp09/sptest.adb	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2007.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -70,20 +70,4 @@
       SPTEST.PERIOD_NAME( 1 )    := RTEMS.BUILD_NAME( 'T', 'M', '1', ' ' );
 
---      RTEMS.TASK_CREATE(
---         SPTEST.TASK_NAME( 1 ),
---         4,
---         10,
---         RTEMS.DEFAULT_MODES,
---         RTEMS.DEFAULT_ATTRIBUTES,
---         SPTEST.TASK_ID( 1 ),
---         STATUS
---      );
---       TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
---          STATUS,
---          RTEMS.INVALID_SIZE,
---          "TASK_CREATE WITH ILLEGAL STACK SIZE"
---       );
-      TEXT_IO.PUT_LINE( "INIT - task_create - INVALID_SIZE -- NOT CHECKED" );
-
       RTEMS.TASK_CREATE(
          SPTEST.TASK_NAME( 1 ),
@@ -152,18 +136,4 @@
 
    end DELAYED_SUBPROGRAM;
-
---PAGE
--- 
---  SERVICE_ROUTINE
---
-
-   procedure SERVICE_ROUTINE (
-      IGNORED : in     RTEMS.VECTOR_NUMBER
-   ) is
-   begin
-
-      NULL;
-
-   end SERVICE_ROUTINE;
 
 --PAGE
@@ -188,18 +158,22 @@
       TEXT_IO.PUT_LINE( "TA1 - task_delete - INVALID_ID" );
 
---      RTEMS.TASK_GET_NOTE( RTEMS.SELF, 
---                           RTEMS.NOTEPAD_INDEX'LAST + 10, 
---                           NOTEPAD_VALUE, 
---                           STATUS 
---      );
---      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
---         STATUS,
---         RTEMS.INVALID_NUMBER,
---         "TASK_GET_NOTE WITH ILLEGAL NOTEPAD"
---      );
---      TEXT_IO.PUT_LINE( "TA1 - task_get_note - INVALID_NUMBER" );
-      TEXT_IO.PUT_LINE(
-         "TA1 - task_get_note - INVALID_NUMBER -- constraint error"
-      );
+      begin
+        RTEMS.TASK_GET_NOTE( RTEMS.SELF, 
+                             RTEMS.NOTEPAD_INDEX'LAST + 10, 
+                             NOTEPAD_VALUE, 
+                             STATUS 
+        );
+        TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
+           STATUS,
+           RTEMS.INVALID_NUMBER,
+           "TASK_GET_NOTE WITH ILLEGAL NOTEPAD"
+        );
+        TEXT_IO.PUT_LINE( "TA1 - task_get_note - INVALID_NUMBER" );
+      exception
+         when others =>
+            TEXT_IO.PUT_LINE(
+               "TA1 - task_get_note - INVALID_NUMBER -- constraint error"
+            );
+      end;
 
       RTEMS.TASK_GET_NOTE( 
@@ -253,9 +227,17 @@
 
       RTEMS.TASK_IDENT( 100, 2, SPTEST.JUNK_ID, STATUS );
-      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
-         STATUS,
-         RTEMS.INVALID_NODE,
-         "TASK_IDENT WITH ILLEGAL NODE"
-      );
+      if TEST_SUPPORT.Is_Configured_Multiprocessing then
+         TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
+            STATUS,
+            RTEMS.INVALID_NODE,
+            "TASK_IDENT WITH ILLEGAL NODE"
+         );
+      else
+         TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
+            STATUS,
+            RTEMS.INVALID_NAME,
+            "TASK_IDENT WITH ILLEGAL NODE"
+         );
+      end if;
       TEXT_IO.PUT_LINE( "TA1 - task_ident - INVALID_NODE" );
 
@@ -284,16 +266,20 @@
       TEXT_IO.PUT_LINE( "TA1 - task_resume - INCORRECT_STATE" );
 
---      RTEMS.TASK_SET_PRIORITY( RTEMS.SELF, 512, PREVIOUS_PRIORITY, STATUS );
---      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
---         STATUS,
---         RTEMS.INVALID_PRIORITY,
---         "TASK_SET_PRIORITY WITH ILLEGAL PRIORITY"
---      );
---      TEXT_IO.PUT_LINE(
---         "TA1 - task_set_priority - INVALID_PRIORITY"
---      );
-      TEXT_IO.PUT_LINE(
-         "TA1 - task_set_priority - INVALID_PRIORITY -- constraint error"
-      );
+      begin
+        RTEMS.TASK_SET_PRIORITY( RTEMS.SELF, 512, PREVIOUS_PRIORITY, STATUS );
+        TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
+           STATUS,
+           RTEMS.INVALID_PRIORITY,
+           "TASK_SET_PRIORITY WITH ILLEGAL PRIORITY"
+        );
+        TEXT_IO.PUT_LINE(
+           "TA1 - task_set_priority - INVALID_PRIORITY"
+        );
+      exception
+         when others =>
+            TEXT_IO.PUT_LINE(
+               "TA1 - task_set_priority - INVALID_PRIORITY -- constraint error"
+            );
+      end;
 
       RTEMS.TASK_SET_PRIORITY( 100, 8, PREVIOUS_PRIORITY, STATUS );
@@ -305,18 +291,22 @@
       TEXT_IO.PUT_LINE( "TA1 - task_set_priority - INVALID_ID" );
 
---       RTEMS.TASK_SET_NOTE( RTEMS.SELF, 
---                            RTEMS.NOTEPAD_INDEX'LAST + 10, 
---                            NOTEPAD_VALUE, 
---                            STATUS 
---       );
---       TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
---          STATUS,
---          RTEMS.INVALID_NUMBER,
---          "TASK_SET_NOTE WITH ILLEGAL NOTEPAD"
---       );
---      TEXT_IO.PUT_LINE( "TA1 - task_set_note - INVALID_NUMBER" );
-      TEXT_IO.PUT_LINE(
-         "TA1 - task_set_note - INVALID_NUMBER -- constraint error"
-      );
+      begin
+         RTEMS.TASK_SET_NOTE( RTEMS.SELF, 
+                              RTEMS.NOTEPAD_INDEX'LAST + 10, 
+                              NOTEPAD_VALUE, 
+                              STATUS 
+         );
+         TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
+            STATUS,
+            RTEMS.INVALID_NUMBER,
+            "TASK_SET_NOTE WITH ILLEGAL NOTEPAD"
+         );
+         TEXT_IO.PUT_LINE( "TA1 - task_set_note - INVALID_NUMBER" );
+      exception
+         when others =>
+            TEXT_IO.PUT_LINE(
+               "TA1 - task_set_note - INVALID_NUMBER -- constraint error"
+            );
+      end;
 
       RTEMS.TASK_SET_NOTE( 
@@ -584,5 +574,5 @@
          TASK_NAME,
          1,
-         RTEMS.CONFIGURATION.WORK_SPACE_SIZE,
+         TEST_SUPPORT.WORK_SPACE_SIZE,
          RTEMS.DEFAULT_MODES,
          RTEMS.DEFAULT_ATTRIBUTES,
@@ -763,18 +753,20 @@
       TEXT_IO.PUT_LINE( "TA1 - task_create - 11 - TOO_MANY" );
 
-      RTEMS.TASK_CREATE(
-         TASK_NAME,
-         4,
-         2048,
-         RTEMS.DEFAULT_MODES,
-         RTEMS.GLOBAL,
-         SPTEST.JUNK_ID,
-         STATUS
-      );
-      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
-         STATUS,
-         RTEMS.MP_NOT_CONFIGURED,
-         "TASK_CREATE OF GLOBAL TASK IN SINGLE CPU SYSTEM"
-      );
+      if TEST_SUPPORT.Is_Configured_Multiprocessing then
+         RTEMS.TASK_CREATE(
+            TASK_NAME,
+            4,
+            2048,
+            RTEMS.DEFAULT_MODES,
+            RTEMS.GLOBAL,
+            SPTEST.JUNK_ID,
+            STATUS
+         );
+         TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
+            STATUS,
+            RTEMS.MP_NOT_CONFIGURED,
+            "TASK_CREATE OF GLOBAL TASK IN SINGLE CPU SYSTEM"
+         );
+      end if;
       TEXT_IO.PUT_LINE( "TA1 - task_create - MP_NOT_CONFIGURED" );
 
@@ -912,5 +904,5 @@
          SPTEST.SEMAPHORE_NAME( 2 ),
          1,
-         RTEMS.BINARY_SEMAPHORE,
+         (RTEMS.BINARY_SEMAPHORE or RTEMS.PRIORITY or RTEMS.INHERIT_PRIORITY),
          RTEMS.NO_PRIORITY,
          SPTEST.SEMAPHORE_ID( 2 ),
@@ -988,17 +980,19 @@
       TEXT_IO.PUT_LINE("TA1 - semaphore_create - INVALID_NUMBER");
 
-      RTEMS.SEMAPHORE_CREATE(
-         SPTEST.SEMAPHORE_NAME( 3 ),
-         1,
-         RTEMS.GLOBAL,
-         RTEMS.NO_PRIORITY,
-         SPTEST.JUNK_ID,
-         STATUS
-      );
-      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
-         STATUS,
-         RTEMS.MP_NOT_CONFIGURED,
-         "SEMAPHORE_CREATE OF MP_NOT_CONFIGURED"
-      );
+      if TEST_SUPPORT.Is_Configured_Multiprocessing then
+         RTEMS.SEMAPHORE_CREATE(
+            SPTEST.SEMAPHORE_NAME( 3 ),
+            1,
+            RTEMS.GLOBAL,
+            RTEMS.NO_PRIORITY,
+            SPTEST.JUNK_ID,
+            STATUS
+         );
+         TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
+            STATUS,
+            RTEMS.MP_NOT_CONFIGURED,
+            "SEMAPHORE_CREATE OF MP_NOT_CONFIGURED"
+         );
+      end if;
       TEXT_IO.PUT_LINE("TA1 - semaphore_create - MP_NOT_CONFIGURED");
 
@@ -1240,17 +1234,19 @@
       );
 
-      RTEMS.MESSAGE_QUEUE_CREATE(
-         SPTEST.QUEUE_NAME( 1 ),
-         1,
-         16,
-         RTEMS.GLOBAL,
-         SPTEST.JUNK_ID,
-         STATUS
-      );
-      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
-         STATUS,
-         RTEMS.MP_NOT_CONFIGURED,
-         "MESSAGE_QUEUE_CREATE OF MP NOT CONFIGURED"
-      );
+      if TEST_SUPPORT.Is_Configured_Multiprocessing then
+         RTEMS.MESSAGE_QUEUE_CREATE(
+            SPTEST.QUEUE_NAME( 1 ),
+            1,
+            16,
+            RTEMS.GLOBAL,
+            SPTEST.JUNK_ID,
+            STATUS
+         );
+         TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
+            STATUS,
+            RTEMS.MP_NOT_CONFIGURED,
+            "MESSAGE_QUEUE_CREATE OF MP NOT CONFIGURED"
+         );
+      end if;
       TEXT_IO.PUT_LINE(
              "TA1 - message_queue_create - Q 1 - MP_NOT_CONFIGURED");
@@ -1644,53 +1640,7 @@
    procedure SCREEN_9
    is
-      CONVERTED           : RTEMS.ADDRESS;
-      STATUS              : RTEMS.STATUS_CODES;
-      OLD_SERVICE_ROUTINE : RTEMS.ADDRESS;
+      CONVERTED : RTEMS.ADDRESS;
+      STATUS    : RTEMS.STATUS_CODES;
    begin
-
---      RTEMS.INTERRUPT_CATCH( 
---         SPTEST.SERVICE_ROUTINE'ACCESS,
---         500,
---         OLD_SERVICE_ROUTINE,
---         STATUS
---      );
---      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
---         STATUS,
---         RTEMS.INVALID_NUMBER,
---         "INTERRUPT_CATCH WITH INVALID VECTOR"
---      );
---      TEXT_IO.PUT_LINE( "TA1 - interrupt_catch - INVALID_NUMBER" );
-      TEXT_IO.PUT_LINE(
-         "TA1 - interrupt_catch - INVALID_NUMBER -- constraint error"
-      );
-
-      RTEMS.INTERRUPT_CATCH( 
-         RTEMS.NULL_ADDRESS,
-         3,
-         OLD_SERVICE_ROUTINE,
-         STATUS
-      );
-      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
-         STATUS,
-         RTEMS.INVALID_ADDRESS,
-         "INTERRUPT_CATCH WITH INVALID HANDLER"
-      );
-      TEXT_IO.PUT_LINE( "TA1 - interrupt_catch - INVALID_ADDRESS" );
-
-      RTEMS.SIGNAL_SEND( 100, RTEMS.SIGNAL_1, STATUS );
-      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
-         STATUS,
-         RTEMS.INVALID_ID,
-         "SIGNAL_SEND WITH ILLEGAL ID"
-      );
-      TEXT_IO.PUT_LINE( "TA1 - signal_send - INVALID_ID" );
-
-      RTEMS.SIGNAL_SEND( RTEMS.SELF, RTEMS.SIGNAL_16, STATUS );
-      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
-         STATUS,
-         RTEMS.NOT_DEFINED,
-         "SIGNAL_SEND WITH NO HANDLER"
-      );
-      TEXT_IO.PUT_LINE( "TA1 - signal_send - NOT_DEFINED" );
 
       RTEMS.PORT_CREATE(
@@ -2078,18 +2028,20 @@
       );
 
-      RTEMS.PARTITION_CREATE(
-         SPTEST.PARTITION_NAME( 1 ),
-         SPTEST.PARTITION_GOOD_AREA'ADDRESS,
-         128,
-         64,
-         RTEMS.GLOBAL,
-         SPTEST.JUNK_ID,
-         STATUS
-      );
-      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
-         STATUS,
-         RTEMS.MP_NOT_CONFIGURED,
-         "PARTITION_CREATE OF GLOBAL"
-      );
+      if TEST_SUPPORT.Is_Configured_Multiprocessing then
+         RTEMS.PARTITION_CREATE(
+            SPTEST.PARTITION_NAME( 1 ),
+            SPTEST.PARTITION_GOOD_AREA'ADDRESS,
+            128,
+            64,
+            RTEMS.GLOBAL,
+            SPTEST.JUNK_ID,
+            STATUS
+         );
+         TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
+            STATUS,
+            RTEMS.MP_NOT_CONFIGURED,
+            "PARTITION_CREATE OF GLOBAL"
+         );
+      end if;
       TEXT_IO.PUT_LINE("TA1 - partition_create - MP_NOT_CONFIGURED");
 
@@ -2324,5 +2276,5 @@
          SPTEST.REGION_NAME( 1 ),
          SPTEST.REGION_GOOD_AREA'ADDRESS,
-         16#40#,
+         34,
          34,
          RTEMS.DEFAULT_ATTRIBUTES,
@@ -2654,87 +2606,4 @@
       STATUS : RTEMS.STATUS_CODES;
    begin
-
-      RTEMS.IO_CLOSE(
-         RTEMS.DEVICE_MAJOR_NUMBER'LAST,
-         0,
-         RTEMS.NULL_ADDRESS,
-         STATUS
-      );
-      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
-         STATUS,
-         RTEMS.INVALID_NUMBER,
-         "IO_CLOSE WITH BAD MAJOR NUMBER"
-      );
-      TEXT_IO.PUT_LINE("TA1 - io_close - INVALID_NUMBER");
-
-      RTEMS.IO_CONTROL(
-         RTEMS.DEVICE_MAJOR_NUMBER'LAST,
-         0,
-         RTEMS.NULL_ADDRESS,
-         STATUS
-      );
-      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
-         STATUS,
-         RTEMS.INVALID_NUMBER,
-         "IO_CONTROL WITH BAD MAJOR NUMBER"
-      );
-      TEXT_IO.PUT_LINE(
-         "TA1 - io_control - INVALID_NUMBER"
-      );
-
-      RTEMS.IO_INITIALIZE(
-         RTEMS.DEVICE_MAJOR_NUMBER'LAST,
-         0,
-         RTEMS.NULL_ADDRESS,
-         STATUS
-      );
-      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
-         STATUS,
-         RTEMS.INVALID_NUMBER,
-         "IO_INITIALIZE WITH BAD MAJOR NUMBER"
-      );
-      TEXT_IO.PUT_LINE(
-         "TA1 - io_initialize - INVALID_NUMBER"
-      );
-
-      RTEMS.IO_OPEN(
-         RTEMS.DEVICE_MAJOR_NUMBER'LAST,
-         0,
-         RTEMS.NULL_ADDRESS,
-         STATUS
-      );
-      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
-         STATUS,
-         RTEMS.INVALID_NUMBER,
-         "IO_OPEN WITH BAD MAJOR NUMBER"
-      );
-      TEXT_IO.PUT_LINE( "TA1 - io_open - INVALID_NUMBER" );
-
-      RTEMS.IO_READ(
-         RTEMS.DEVICE_MAJOR_NUMBER'LAST,
-         0,
-         RTEMS.NULL_ADDRESS,
-         STATUS
-      );
-      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
-         STATUS,
-         RTEMS.INVALID_NUMBER,
-         "IO_READ WITH BAD MAJOR NUMBER"
-      );
-      TEXT_IO.PUT_LINE( "TA1 - io_read - INVALID_NUMBER" );
-
-      RTEMS.IO_WRITE(
-         RTEMS.DEVICE_MAJOR_NUMBER'LAST,
-         0,
-         RTEMS.NULL_ADDRESS,
-         STATUS
-      );
-      TEST_SUPPORT.FATAL_DIRECTIVE_STATUS(
-         STATUS,
-         RTEMS.INVALID_NUMBER,
-         "IO_WRITE WITH BAD MAJOR NUMBER"
-      );
-      TEXT_IO.PUT_LINE( "TA1 - io_write - INVALID_NUMBER" );
-
       TIME := ( 2000, 12, 31, 23, 59, 59, 0 );
       RTEMS.CLOCK_SET( TIME, STATUS );
Index: c/src/ada-tests/sptests/sp09/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp09/sptest.ads	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp09/sptest.ads	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -257,17 +257,4 @@
 
 --
---  SERVICE_ROUTINE
---
---  DESCRIPTION:
---
---  This subprogram serves as a dummy ISR which is installed at an
---  illegal vector number.
---
-
-   procedure SERVICE_ROUTINE (
-      IGNORED : in     RTEMS.VECTOR_NUMBER
-   );
-
---
 --  SCREEN_1
 --
Index: c/src/ada-tests/sptests/sp11/config.h
===================================================================
--- c/src/ada-tests/sptests/sp11/config.h	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp11/config.h	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -3,5 +3,5 @@
  *  This include file defines the Configuration Table for this test.
  *
- *  COPYRIGHT (c) 1989-1997.
+ *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,4 +21,5 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
+#define CONFIGURE_MAXIMUM_TASKS               3
 #define CONFIGURE_MAXIMUM_TIMERS              6
 #define CONFIGURE_TICKS_PER_TIMESLICE       100
Index: c/src/ada-tests/sptests/sp11/sp11.scn
===================================================================
--- c/src/ada-tests/sptests/sp11/sp11.scn	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp11/sp11.scn	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -17,9 +17,9 @@
 TA1 - event_send - send EVENT_19 to TA2
 TA1 - clock_get -  8:15: 0    2/12/1988
-<pause>
+<pause> 
 TA1 - event_send - send EVENT_18 to self after 5 seconds
 TA1 - event_receive - waiting forever on EVENT_18
-TA2 - EVENT_10 received - eventout => 16#400#
-TA2 - clock_get -  8:15: 5   02/12/1988
+TA2 - EVENT_10 received - eventout =>  16#400#
+TA1 - clock_get -  8:15: 5    2/12/1988
 TA2 - event_receive - PENDING_EVENTS
 TA2 - eventout => 16#80000#
@@ -31,9 +31,9 @@
 TA1 - event_send - send EVENT_3 to self
 TA1 - event_receive - EVENT_3 or EVENT_22 - NO_WAIT and EVENT_ANY
-TA1 - EVENT_3 received - eventout => 16#8#
+TA1 - EVENT_3 received - eventout =>    16#8#
 TA1 - event_send - send EVENT_4 to self
 TA1 - event_receive - waiting forever on EVENT_4 or EVENT_5 - EVENT_ANY
-TA1 - EVENT_4 received - eventout => 16#10#
-<pause>
+TA1 - EVENT_4 received - eventout =>   16#10#
+<pause> 
 TA1 - event_send - send EVENT_18 to self after 5 seconds
 TA1 - timer_cancel - cancelling timer for event EVENT_18
@@ -44,9 +44,9 @@
 TA1 - clock_set -  8:15: 0    2/12/1988
 TA1 - event_send - send EVENT_1 every second
-TA1 - EVENT_1 received - eventout => 16#2# - at  8:15: 1    2/12/1988
-TA1 - EVENT_1 received - eventout => 16#2# - at  8:15: 2    2/12/1988
-TA1 - EVENT_1 received - eventout => 16#2# - at  8:15: 3    2/12/1988
+TA1 - EVENT_1 received - eventout =>    16#2# - at  8:15: 1    2/12/1988
+TA1 - EVENT_1 received - eventout =>    16#2# - at  8:15: 2    2/12/1988
+TA1 - EVENT_1 received - eventout =>    16#2# - at  8:15: 3    2/12/1988
 TA1 - timer_cancel - cancelling timer for event EVENT_1
-<pause>
+<pause> 
 TA1 - event_send - send EVENT_11 to self in 1 day
 TA1 - event_send - send EVENT_11 to self in 1 day
@@ -57,6 +57,6 @@
 TA1 - clock_set -  8:15: 3    2/15/1988
 TA1 - event_receive - waiting forever on EVENT_11
-TA1 - EVENT_11 received - eventout => 16#800#
-<pause>
+TA1 - EVENT_11 received - eventout =>  16#800#
+<pause> 
 TA1 - event_send/event_receive combination
 TA1 - clock_set -  8:15: 0    2/12/1988
@@ -64,8 +64,8 @@
 TA1 - event_send - send EVENT_10 to self in 1 day
 TA1 - event_send - send EVENT_11 to self in 2 days
-TA1 - clock_set -  7:15: 0  2/12/1988
+TA1 - clock_set -  7:15: 0    2/12/1988
 TA1 - set time backwards
 TA1 - no events received
-TA1 - clock_set -  7:15: 0  2/14/1988
+TA1 - clock_set -  7:15: 0    2/14/1988
 TA1 - set time forwards (leave a timer)
 TA1 - EVENT_10 received
Index: c/src/ada-tests/sptests/sp12/config.h
===================================================================
--- c/src/ada-tests/sptests/sp12/config.h	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp12/config.h	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -3,5 +3,5 @@
  *  This include file defines the Configuration Table for this test.
  *
- *  COPYRIGHT (c) 1989-1997.
+ *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,4 +21,5 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
+#define CONFIGURE_MAXIMUM_TASKS               8
 #define CONFIGURE_MAXIMUM_SEMAPHORES         10
 #define CONFIGURE_TICKS_PER_TIMESLICE       100
Index: c/src/ada-tests/sptests/sp12/sp12.scn
===================================================================
--- c/src/ada-tests/sptests/sp12/sp12.scn	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp12/sp12.scn	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -12,5 +12,5 @@
 PRI2 - semaphore_obtain - wait forever on SM2
 PRI1 - semaphore_obtain - wait forever on SM2
-<pause>
+<pause> 
 INIT - Binary Semaphore and Priority Inheritance Test
 INIT - semaphore_create - allocated binary semaphore
@@ -21,5 +21,5 @@
 PDRV - priority of PRI5 is          67
 PRI4 - semaphore_obtain - wait forever on SM2
-PDRV - change priority of PRI5 from          67 to 68
+PDRV - change priority of PRI5 from          67 to          68
 PDRV - priority of PRI5 is          67
 PRI3 - semaphore_obtain - wait forever on SM2
@@ -35,6 +35,6 @@
 PRI5 - semaphore_release - restore priority
 PRI5 - priority of PRI5 is          68
-<pause>
-TA1 - semaphore_ident - smid => 16#10001#
+<pause> 
+TA1 - semaphore_ident - smid => 16#1A010009#
 TA1 - semaphore_obtain - wait forever on SM2
 TA1 - got SM2
@@ -46,5 +46,5 @@
 TA2 - semaphore_obtain - wait forever on SM1
 TA3 - semaphore_obtain - wait forever on SM2
-<pause>
+<pause> 
 TA1 - semaphore_release - release SM1
 TA1 - semaphore_obtain - waiting for SM1 with 10 second timeout
@@ -62,5 +62,5 @@
 TA3 - semaphore_release - release SM2
 TA3 - semaphore_obtain - wait forever on SM3
-<pause>
+<pause> 
 TA1 - task_delete - delete TA3
 TA1 - task_wake_after - sleep 5 seconds
Index: c/src/ada-tests/sptests/sp13/config.h
===================================================================
--- c/src/ada-tests/sptests/sp13/config.h	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp13/config.h	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -3,5 +3,5 @@
  *  This include file defines the Configuration Table for this test.
  *
- *  COPYRIGHT (c) 1989-1997.
+ *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,4 +21,5 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
+#define CONFIGURE_MAXIMUM_TASKS               4
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     10
 #define CONFIGURE_TICKS_PER_TIMESLICE       100
Index: c/src/ada-tests/sptests/sp13/sp13.scn
===================================================================
--- c/src/ada-tests/sptests/sp13/sp13.scn	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp13/sp13.scn	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -1,37 +1,37 @@
 *** TEST 13 ***
-TA1 - message_queue_ident - qid => 16#10001#
+TA1 - message_queue_ident - qid => 16#22010001#
 TA1 - message_queue_send - BUFFER 1 TO Q 1
 TA1 - message_queue_send - BUFFER 2 TO Q 1
 TA1 - task_wake_after - sleep 5 seconds
 TA2 - message_queue_receive - receive from queue 1 - NO_WAIT
-TA2 - buffer received: BUFFER 1 TO Q 1
+TA2 - buffer received: BUFFER 1 TO Q 1 
 TA2 - message_queue_receive - receive from queue 1 - WAIT FOREVER
-TA2 - buffer received: BUFFER 2 TO Q 1
+TA2 - buffer received: BUFFER 2 TO Q 1 
 TA2 - message_queue_receive - receive from queue 1 - WAIT FOREVER
 TA3 - message_queue_receive - receive from queue 2 - WAIT FOREVER
 TA1 - message_queue_send - BUFFER 3 TO Q 1
 TA1 - task_wake_after - sleep 5 seconds
-TA2 - buffer received: BUFFER 3 TO Q 1
+TA2 - buffer received: BUFFER 3 TO Q 1 
 TA2 - task_set_priority - make self highest priority task
 TA2 - message_queue_receive - receive from queue 2 - WAIT FOREVER
-<pause>
+<pause> 
 TA1 - message_queue_send - BUFFER 1 TO Q 2
-TA2 - buffer received: BUFFER 1 TO Q 2
+TA2 - buffer received: BUFFER 1 TO Q 2 
 TA2 - message_queue_send - BUFFER 2 TO Q 2
 TA2 - message_queue_receive - receive from queue 1 - 10 second timeout
 TA1 - message_queue_receive - receive from queue 1 - 10 second timeout
-TA3 - buffer received: BUFFER 2 TO Q 2
+TA3 - buffer received: BUFFER 2 TO Q 2 
 TA3 - message_queue_broadcast - BUFFER 3 TO Q 1
-TA2 - buffer received: BUFFER 3 TO Q 1
+TA2 - buffer received: BUFFER 3 TO Q 1 
 TA2 - message_queue_receive - receive from queue 3 - WAIT FOREVER
-TA3 - number of tasks awakened =  2
+TA3 - number of tasks awakened =   2
 TA3 - message_queue_receive - receive from queue 3 - WAIT FOREVER
-TA1 - buffer received: BUFFER 3 TO Q 1
+TA1 - buffer received: BUFFER 3 TO Q 1 
 TA1 - task_delete - delete TA2
 TA1 - message_queue_send - BUFFER 1 TO Q 3
 TA1 - task_wake_after - sleep 5 seconds
-TA3 - buffer received: BUFFER 1 TO Q 3
+TA3 - buffer received: BUFFER 1 TO Q 3 
 TA3 - task_delete - delete self
-<pause>
+<pause> 
 TA1 - message_queue_send - BUFFER 2 TO Q 3
 TA1 - message_queue_send - BUFFER 3 TO Q 3
@@ -39,15 +39,15 @@
 TA1 - message_queue_urgent - BUFFER 5 TO Q 3
 TA1 - message_queue_receive - receive from queue 3 - WAIT FOREVER
-TA1 - buffer received: BUFFER 5 TO Q 3
+TA1 - buffer received: BUFFER 5 TO Q 3 
 TA1 - message_queue_receive - receive from queue 3 - WAIT FOREVER
-TA1 - buffer received: BUFFER 2 TO Q 3
+TA1 - buffer received: BUFFER 2 TO Q 3 
 TA1 - message_queue_receive - receive from queue 3 - WAIT FOREVER
-TA1 - buffer received: BUFFER 3 TO Q 3
+TA1 - buffer received: BUFFER 3 TO Q 3 
 TA1 - message_queue_receive - receive from queue 3 - WAIT FOREVER
-TA1 - buffer received: BUFFER 4 TO Q 3
+TA1 - buffer received: BUFFER 4 TO Q 3 
 TA1 - message_queue_urgent - BUFFER 3 TO Q 2
 TA1 - message_queue_receive - receive from queue 2 - WAIT FOREVER
-TA1 - buffer received: BUFFER 3 TO Q 2
-<pause>
+TA1 - buffer received: BUFFER 3 TO Q 2 
+<pause> 
 TA1 - message_queue_delete - delete queue 1
 TA1 - message_queue_urgent - BUFFER 3 TO Q 2
@@ -64,3 +64,3 @@
 TA1 - message_queue_flush - Q 3
 TA1 - 100 messages were flushed from Q 3
-*** END OF TEST 13 *** 
+*** END OF TEST 13 ***
Index: c/src/ada-tests/sptests/sp13/sptest.adb
===================================================================
--- c/src/ada-tests/sptests/sp13/sptest.adb	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp13/sptest.adb	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2007.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -505,8 +505,4 @@
       TEXT_IO.PUT_LINE( " messages were flushed from Q 3" );
      
-      TEXT_IO.PUT( "TA1 - ERROR - " );
-      UNSIGNED32_IO.PUT( COUNT, WIDTH => 3, BASE => 10 );
-      TEXT_IO.PUT_LINE( " messages flushed" );
-
       TEXT_IO.PUT_LINE( "*** END OF TEST 13 ***" );
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
